Subject: Re: bug#21967: C-s insists on putting us back at the center of the screen

From: John Wiegley <[email-masked]>
Date: Fri, 20 Nov 2015 16:21:02 -0800

>>>>> Dan Jacobson <[email-masked]> writes:

> Several taps of C-s get more and more of what we were searching for. All
> well and good.
>
> Two taps of C-l put the cursor at the top of the screen.
>
> Several taps of C-s get more and more of what we were searching for. All
> well and bad... because what if we want to stay at the top of the screen
> while doing that... C-s insists on putting us back in the center of the
> screen! (Which is usually good. However perhaps after two taps of C-l, it
> should stay at the top during the next search or something.)

Hi Dan,

Alan Mackenzie implemented the C-l behavior within isearch back in 2003, so
I'm copying him on this response.

Alan, is there a safe and easy way to support the described behavior?

John